--- title: "getCloudMysqlEventHistoryList" slug: "database-vmysql-getcloudmysqleventhistorylist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqleventhistorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlEventHistoryList Available in VPC Get the event history list for a Cloud DB for MySQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlEventHistoryList | ### Request headers For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMysqlServerName` | String | Optional | Filter by Cloud DB for MySQL server name - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `startDate` | String | Required | Query start date - yyyy-MM-dd HH:mm:ss format - `2024-01-01 00:00:00` | | `endDate` | String | Required | Query end date - yyyy-MM-dd HH:mm:ss format - `2024-12-31 23:59:59` | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) - 0 (default) | | `pageSize` | Integer | Optional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - 1 (minimum) - 20 (default) i | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlEventHistoryList ?regionCode=KR &cloudMysqlServerName=abcd &startDate=2024-08-13 17:00:00 &endDate=2024-08-13 18:00:00 &pageNo=0 &pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMysqlEventHistoryList](/docs/en/common-vapidatatype-cloudmysqleventhistorylist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudMysqlEventHistoryListResponse": { "totalRows": 2, "cloudMysqlEventHistoryList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServerInstanceNo": "****891", "cloudMysqlServerName": "abcd-001-****", "eventTime": "2024-08-13 17:10:00", "eventType": "DB Server", "eventName": "DB", "eventContent": "DB start", "clientIp": "10.x.x.x" }, { "cloudMysqlInstanceNo": "****890", "cloudMysqlServerInstanceNo": "****891", "cloudMysqlServerName": "abcd-001-****", "eventTime": "2024-08-13 17:20:00", "eventType": "DB Server", "eventName": "DB", "eventContent": "Change Spec MySQL Completed", "clientIp": "10.x.x.x" } ], "requestId": "36cc2f85-****-****-****-5d2511df4e45", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 36cc2f85-****-****-****-5d2511df4e45 0 success 2 ****890 ****891 abcd-001-**** 2024-08-13 17:10:00 DB Server DB DB start 10.x.x.x ****890 ****891 abcd-001-**** 2024-08-13 17:10:00 DB Server DB Change Spec MySQL Completed 10.x.x.x ```